Name:           perl-DBD-Mock
Version:        1.39
Release:        2%{?dist}
Summary:        Mock database driver for testing
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DBD-Mock/
Source0:        http://www.cpan.org/modules/by-module/DBD/DBD-Mock-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires:  perl >= 1:5.6.0
BuildRequires:  perl(Test::More) >= 0.47
# cpan
BuildRequires:  perl(DBI) >= 1.3
BuildRequires:  perl(Module::Build)
# test
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)


%description
Testing with databases can be tricky. If you are developing a system
married to a single database then you can make some assumptions about your
environment and ask the user to provide relevant connection information.
But if you need to test a framework that uses DBI, particularly a framework
that uses different types of persistence schemes, then it may be more
useful to simply verify what the framework is trying to do -- ensure the
right SQL is generated and that the correct parameters are bound. DBD::Mock
makes it easy to just modify your configuration (presumably held outside
your code) and just use it instead of DBD::Foo (like DBD::Pg or DBD::mysql)
in your framework.

%prep
%setup -q -n DBD-Mock-%{version}

find t/ -type f -exec chmod -c -x {} +

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.39-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 11 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.39-1
- update to 1.39

* Sat Oct 25 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.37-1
- update to 1.37

* Thu Mar  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.36-2
- rebuild for new perl

* Tue Oct 23 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.36-1
- update to 1.36
- license tag: GPL -> GPL+

* Thu Aug 09 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.35-1
- update to 1.35
- add t/ to doc
- refactor perl br's
- update source url to pull by module, rather than by author

* Mon Mar 19 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.34-2
- bump

* Sat Mar 10 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.34-1
- Specfile autogenerated by cpanspec 1.70.
